al_get_sample(3)

NAME

al_get_sample - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_audio.h>
    ALLEGRO_SAMPLE *al_get_sample(ALLEGRO_SAMPLE_INSTANCE *spl)

DESCRIPTION

Return the sample data that the sample instance plays.

Note this returns a pointer to an internal structure, not the ALLEGRO_SAMPLE(3) that you may have passed to al_set_sample(3). However, the sample buffer of the returned ALLEGRO_SAMPLE will be the same as the one that was used to create the sample (passed to al_create_sample(3)). You can use al_get_sample_data(3) on the return value to retrieve and compare it.

SEE ALSO

al_set_sample(3)